Workspace

The Workspace API provides operations for managing workspace information, appearance, regional settings, members, and workspace lifecycle actions.

Workspace-authenticated requests require an Auth0 Bearer JWT and the workspace context required by the endpoint.

Endpoints

MethodPathPurpose
GET/auth/membersList Workspace members
POST/auth/request-accessRequest elevated access
GET/auth/appearanceGet Workspace appearance
PATCH/auth/appearanceUpdate Workspace appearance
GET/auth/languagesList supported languages
PATCH/auth/Workspace/identityUpdate company identity
PATCH/auth/Workspace/detailsUpdate Workspace details
PATCH/auth/Workspace/language-regionUpdate regional settings
PATCH/auth/Workspace/timezoneUpdate the workspace timezone and business-hours configuration.Feature Gate: operational_hoursMinimum plan: GROWTHRequired role: OWNER
GET/auth/workspace/check-nameCheck Workspace name availability
POST/auth/Workspace/newCreate another Workspace
POST/auth/Workspace/logoUpload Workspace logo
DELETE/auth/WorkspaceSchedule Workspace deletion
POST/auth/Workspace/:workspaceId/restoreRestore deleted Workspace

The audit confirms Workspace endpoints use role and permission guards depending on the operation.

Example — List Workspace Members

GET /auth/members?page=0&pageSize=20

Authorization: Bearer <AUTH0_ACCESS_TOKEN>

x-workspace-id: <WORKSPACE_ID>

Supported filters include search, roles, status, onlineStatus, and sort.

Workspace Identity

The Workspace identity endpoint accepts:

{

  “workspaceName”: “Example Workspace”,

  “website”: “https://example.com”,

  “supportEmail”: “support@example.com”

}

Need Help?

Email: support@ysdesk.com

Documentation: https://docs.ysplugins.com/ys-desk

Next